Bug 1767731 - CVE-2019-18424 xen: passed through PCI devices may corrupt host memory after deassignment leading to privilege escalation [fedora-all]
Summary: CVE-2019-18424 xen: passed through PCI devices may corrupt host memory after ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: 31
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Michael Young
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-18424
TreeView+ depends on / blocked
 
Reported: 2019-11-01 09:04 UTC by Marian Rehak
Modified: 2019-11-28 01:30 UTC (History)
3 users (show)

Fixed In Version: xen-4.11.2-2.fc29 xen-4.12.1-6.fc31 xen-4.11.2-3.fc30
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-17 01:42:51 UTC
Type: ---


Attachments (Terms of Use)

Description Marian Rehak 2019-11-01 09:04:58 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Marian Rehak 2019-11-01 09:05:00 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1767730,1767731

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2019-11-01 18:29:22 UTC
FEDORA-2019-ee4e4e2c3c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ee4e4e2c3c

Comment 3 Fedora Update System 2019-11-01 19:51:37 UTC
FEDORA-2019-ec3dc10c7b has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ec3dc10c7b

Comment 4 Fedora Update System 2019-11-01 20:13:42 UTC
FEDORA-2019-865bb16900 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-865bb16900

Comment 5 Fedora Update System 2019-11-02 02:26:56 UTC
xen-4.11.2-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ec3dc10c7b

Comment 6 Fedora Update System 2019-11-02 04:13:37 UTC
xen-4.11.2-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-865bb16900

Comment 7 Fedora Update System 2019-11-03 06:01:09 UTC
xen-4.12.1-4.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ee4e4e2c3c

Comment 8 Fedora Update System 2019-11-12 21:23:02 UTC
FEDORA-2019-92d6ba2134 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-92d6ba2134

Comment 9 Fedora Update System 2019-11-12 22:16:33 UTC
FEDORA-2019-cbb732f760 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cbb732f760

Comment 10 Fedora Update System 2019-11-12 23:06:11 UTC
FEDORA-2019-376ec5c107 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-376ec5c107

Comment 11 Fedora Update System 2019-11-13 10:47:17 UTC
xen-4.11.2-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cbb732f760

Comment 12 Fedora Update System 2019-11-13 10:53:21 UTC
xen-4.12.1-6.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-376ec5c107

Comment 13 Fedora Update System 2019-11-17 01:42:51 UTC
xen-4.11.2-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-11-19 01:35:50 UTC
xen-4.12.1-6.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-11-28 01:30:53 UTC
xen-4.11.2-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.